import DataStructures.*;
import Exceptions.*;

// Simple test program for queues

public final class TestQueue
{
    public static void main( String [ ] args )
    {
        Queue q = new QueueAr( );

        for( int i = 0; i < 5; i++ )
            q.enqueue( new Integer( i ) );

        System.out.print( "Contents:" );
        try
        {
            for( ; ; )
                System.out.print( " " + q.dequeue( ) );
        }
        catch( Underflow e ) { }

        System.out.println( );
    }
}